Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.37.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://aria2.github.io/
Source0:	https://github.com/aria2/aria2/releases/download/release-%{version}/aria2-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(gnutls) >= 2.2.0
BuildRequires:	pkgconfig(libcares) >= 1.7.0
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(cppunit)
Requires:	rootcerts
#we need 1.7.0 to have ares_library_init available
Requires:	c-ares >= 1.7.0
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%package doc
Summary:	Documentation for %{name}
Group:		Networking/File transfer
BuildArch:	noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--with-bashcompletiondir="%{_datadir}/bash-completion/completions/" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--with-libcares \
	--with-libxml2 \
	--without-openssl \
	--with-libz \
	--with-sqlite3 \
	--without-libexpat

%make_build

# disable checks on ARM
# check does not work because of firewall
%ifnarch %arm
%check
#make check
%endif

%install
%make_install
rm -f %{buildroot}%{_docdir}/%{name}/README{,.asciidoc}
install NEWS %{buildroot}%{_docdir}/%{name}/

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%exclude %{_docdir}/%{name}
%{_bindir}/aria2c
%{_mandir}/man1/aria2c.1*
%{_datadir}/bash-completion/completions/aria2c

%files doc
%doc %{_docdir}/%{name}/


%changelog
* Sun Mar 16 2025 wally <wally> 1.37.0-2.mga10
+ Revision: 2164727
- rebuild for libxml2 2.13.6

* Fri May 17 2024 solbu <solbu> 1.37.0-1.mga10
+ Revision: 2064639
- New release: 1.37.0

* Tue Mar 29 2022 umeabot <umeabot> 1.36.0-2.mga9
+ Revision: 1832546
- Mageia 9 Mass Rebuild

* Fri Oct 22 2021 joequant <joequant> 1.36.0-1.mga9
+ Revision: 1752630
- update to 1.36

* Sun Nov 29 2020 luigiwalser <luigiwalser> 1.35.0-3.mga8
+ Revision: 1650426
- rebuild for nettle

* Mon Feb 17 2020 umeabot <umeabot> 1.35.0-2.mga8
+ Revision: 1537248
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 28 2019 tv <tv> 1.35.0-1.mga8
+ Revision: 1456244
- new release

* Tue Oct 01 2019 daviddavid <daviddavid> 1.34.0-4.mga8
+ Revision: 1448557
- rebuild for new nettle 3.5.1

* Sat Jan 12 2019 solbu <solbu> 1.34.0-3.mga7
+ Revision: 1355338
- Fix CVE-2019-3500 (mga#24112)

* Fri Sep 21 2018 umeabot <umeabot> 1.34.0-2.mga7
+ Revision: 1294544
- Mageia 7 Mass Rebuild

* Tue May 22 2018 daviddavid <daviddavid> 1.34.0-1.mga7
+ Revision: 1231381
- new version: 1.34.0

* Thu May 17 2018 daviddavid <daviddavid> 1.33.1-1.mga7
+ Revision: 1229984
- new version: 1.33.1

* Sun Nov 26 2017 josh <josh> 1.33.0-3.mga7
+ Revision: 1179396
- Consolidate location for bash-completion scripts

* Sun Oct 22 2017 wally <wally> 1.33.0-2.mga7
+ Revision: 1173071
- install bash completion file

* Sun Oct 22 2017 wally <wally> 1.33.0-1.mga7
+ Revision: 1173063
- new version 1.33.0
- update URL

* Thu Sep 07 2017 joequant <joequant> 1.32.0-1.mga7
+ Revision: 1151766
- update to 1.32.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.25.0-1.mga6
+ Revision: 1045490
- 1.25.0

* Tue Jun 14 2016 tv <tv> 1.23.0-3.mga6
+ Revision: 1021465
- disable testsuite on ARM as it prevents the build to succeed

* Tue Jun 14 2016 tv <tv> 1.23.0-2.mga6
+ Revision: 1021438
- use new build macros
- re-enable testsuite on ix86

* Wed May 25 2016 luigiwalser <luigiwalser> 1.23.0-1.mga6
+ Revision: 1018468
- 1.23.0

* Fri May 06 2016 luigiwalser <luigiwalser> 1.22.0-1.mga6
+ Revision: 1009920
- 1.22.0

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.19.3-2.mga6
+ Revision: 921795
- rebuild for gnutls

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.19.3-1.mga6
+ Revision: 918703
- 1.19.3
- fix source URL

* Thu Sep 03 2015 cjw <cjw> 1.19.0-3.mga6
+ Revision: 872522
- rebuild with gcc 5

* Mon Aug 17 2015 fwang <fwang> 1.19.0-2.mga6
+ Revision: 865211
- cleanup buildrequires. gcrypt is not needed as we currently using nettle

* Mon Jun 29 2015 solbu <solbu> 1.19.0-1.mga6
+ Revision: 847386
- 1.19.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
+ luigiwalser <luigiwalser>
- 1.18.8

* Tue Sep 16 2014 umeabot <umeabot> 1.18.7-2.mga5
+ Revision: 677893
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 luigiwalser <luigiwalser> 1.18.7-1.mga5
+ Revision: 656167
- 1.18.7

* Fri Jul 18 2014 luigiwalser <luigiwalser> 1.18.6-1.mga5
+ Revision: 653533
- 1.18.6

* Mon Jun 16 2014 dmorgan <dmorgan> 1.18.5-2.mga5
+ Revision: 636850
- Rebuild against new libnettle

* Sun Mar 30 2014 luigiwalser <luigiwalser> 1.18.5-1.mga5
+ Revision: 610721
- 1.18.5

* Mon Mar 24 2014 luigiwalser <luigiwalser> 1.18.4-1.mga5
+ Revision: 607601
- 1.18.4

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1.18.3-1.mga5
+ Revision: 591337
- 1.18.3

* Sun Dec 29 2013 tmb <tmb> 1.18.1-2.mga4
+ Revision: 563009
- Fix bad fork() return value handling (upstream)
- revert to 1.18.1
+ luigiwalser <luigiwalser>
- 1.18.2

* Tue Nov 05 2013 luigiwalser <luigiwalser> 1.18.1-1.mga4
+ Revision: 549749
- 1.18.1

* Sat Oct 19 2013 umeabot <umeabot> 1.18.0-2.mga4
+ Revision: 534380
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 luigiwalser <luigiwalser> 1.18.0-1.mga4
+ Revision: 477509
- 1.18.0

* Sun Jun 02 2013 luigiwalser <luigiwalser> 1.17.1-1.mga4
+ Revision: 434311
- 1.17.1

* Fri May 24 2013 luigiwalser <luigiwalser> 1.17.0-1.mga4
+ Revision: 426851
- 1.17.0

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.16.3-1.mga3
+ Revision: 394871
- 1.16.3

* Fri Jan 11 2013 umeabot <umeabot> 1.16.1-2.mga3
+ Revision: 346058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 luigiwalser <luigiwalser> 1.16.1-1.mga3
+ Revision: 335591
- 1.16.1
+ tv <tv>
- package NEWS

* Sun Dec 02 2012 fwang <fwang> 1.16.0-1.mga3
+ Revision: 324913
- new version 1.16.0

* Mon Sep 03 2012 luigiwalser <luigiwalser> 1.15.2-1.mga3
+ Revision: 287478
- 1.15.2

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.15.1-1.mga3
+ Revision: 281018
- 1.15.1

* Tue Jun 26 2012 tv <tv> 1.15.0-1.mga3
+ Revision: 264136
- new release

* Wed Feb 29 2012 fwang <fwang> 1.14.2-2.mga2
+ Revision: 216083
- try to fix file conflicts

* Tue Feb 28 2012 fwang <fwang> 1.14.2-1.mga2
+ Revision: 215767
- new version 1.14.2

* Thu Jan 12 2012 fwang <fwang> 1.14.1-1.mga2
+ Revision: 195118
- new version 1.14.1

* Tue Jan 03 2012 tv <tv> 1.14.0-1.mga2
+ Revision: 190160
- new release

* Sun Nov 27 2011 tv <tv> 1.13.0-1.mga2
+ Revision: 172526
- new release

* Sun Nov 27 2011 tv <tv> 1.12.1-3.mga2
+ Revision: 172515
- fix aria2 after priority upgrade: it needs a new enough libgcrypt (mga#3361)

* Thu Nov 10 2011 blino <blino> 1.12.1-2.mga2
+ Revision: 166051
- split out big doc files in a doc subpackage
+ tv <tv>
- new release
+ fwang <fwang>
- rebuild for new gnuls
- update file list
- new version 1.12

* Wed Jun 08 2011 kharec <kharec> 1.11.2-1.mga2
+ Revision: 101957
- new version 1.11.2

* Tue Apr 19 2011 tv <tv> 1.11.1-1.mga1
+ Revision: 88368
- new release

* Wed Apr 13 2011 tv <tv> 1.10.9-1.mga1
+ Revision: 84085
- new release

* Sun Jan 09 2011 kharec <kharec> 1.10.8-1.mga1
+ Revision: 2121
- imported package aria2


* Sun Dec 19 2010 Funda Wang <fwang@mandriva.org> 1.10.8-1mdv2011.0
+ Revision: 622907
- update to new version 1.10.8

* Mon Dec 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.7-1mdv2011.0
+ Revision: 612779
- update to 1.10.7

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.6-1mdv2011.0
+ Revision: 594171
- update to new version 1.10.6

* Mon Nov 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.5-1mdv2011.0
+ Revision: 591567
- update to new version 1.10.5

* Tue Oct 12 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.4-1mdv2011.0
+ Revision: 585218
- new release: 1.10.4

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.3-1mdv2011.0
+ Revision: 579044
- update to new version 1.10.3

* Tue Aug 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.2-1mdv2011.0
+ Revision: 574947
- temporary do not run tests on x86, all of them are fine on x86_64
- update to new version 1.10.2
- add buildrequires on bison
- set up some usefull options for configure script
- do not package big upstream changelog file, instead add AUTHORS NEWS AND README

  + Funda Wang <fwang@mandriva.org>
    - New version 1.10.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - new release: 1.10.0
    - drop P0 & P1 (fixed upstream)
    - add 'webfetch' to provides

* Mon May 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-2mdv2010.1
+ Revision: 545751
- P1: security fix for CVE-2010-1512

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add patch for CVE-2010-1512

* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 1.9.0-1mdv2010.1
+ Revision: 518652
- rename patch
- New version 1.9.0

* Mon Mar 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.8.3-2mdv2010.1
+ Revision: 516801
- compile with -Os to chop 1/3 of binary size which seems reasonable for reducing
  size of basesystem
- ditch redundant -n%%{name}-%%{version} argument to %%setup
- install some additional documentation
- make decompression on the fly using Content-Encoding header optional and
  disabled by default (P0, fixes the most usual cause for #53571)

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 1.8.3-1mdv2010.1
+ Revision: 509283
- New version 1.8.3

* Fri Feb 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.8.2-2mdv2010.1
+ Revision: 504793
- make sure aria2 depends on a new enough libcares

* Wed Feb 10 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.2-1mdv2010.1
+ Revision: 503980
- Update to new version 1.8.2
- Remove patch integrated upstream

* Fri Jan 29 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.1-2mdv2010.1
+ Revision: 498280
- Fix a crash on 404 errors

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.1-1mdv2010.1
+ Revision: 495286
- update to new version 1.8.1

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.0-1mdv2010.1
+ Revision: 482769
- update to new version 1.8.0

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 1.7.2-1mdv2010.1
+ Revision: 478579
- new version 1.7.2

* Thu Dec 10 2009 Funda Wang <fwang@mandriva.org> 1.7.1-1mdv2010.1
+ Revision: 476200
- new version 1.7.1

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.3-1mdv2010.1
+ Revision: 463777
- Update to new version 1.6.3

* Fri Oct 16 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.2-1mdv2010.0
+ Revision: 457872
- 1.6.2

* Fri Sep 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.0-2mdv2010.0
+ Revision: 448602
- fix local certificates path

* Thu Sep 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.0-1mdv2010.0
+ Revision: 448261
- use proper path for root certificates
- new upstream release
- Build using gnutls, I see no good reason for not using upstream default

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.2-1mdv2010.0
+ Revision: 423046
- update to new version 1.5.2

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.1-1mdv2010.0
+ Revision: 400828
- update to new version 1.5.1

  + Funda Wang <fwang@mandriva.org>
    - new version 1.5.0

* Sun Jun 07 2009 Funda Wang <fwang@mandriva.org> 1.4.1-1mdv2010.0
+ Revision: 383742
- New version 1.4.1

* Mon Jun 01 2009 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2010.0
+ Revision: 381878
- New version 1.4.0
- drop merged patches

* Tue Mar 24 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 1.2.0-0.20090201.2mdv2009.1
+ Revision: 360847
- aria2 release number update
- Fix some "retrieve failed" error with the adaptive uri selector

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 1.2.0-0.20090201.1mdv2009.1
+ Revision: 336226
- BR back cppunit
- make check
- New version 1.2.0b

* Mon Oct 27 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080918.3mdv2009.1
+ Revision: 297710
- implement exit status
  (but note that it will return the status of the last error)
- uri-selector=adaptive will retry with increased timeout on timeout errors
  (instead of failing)

* Tue Oct 14 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080918.2mdv2009.1
+ Revision: 293718
- enhance uri-selector "adaptive" patch:
  o lower lowest-speed-limit when we don't know the wanted lowest-speed-limit
    is not too high
  o ignore download speed when it's not precise enough
    (ie when the download took less than 4ms)
  o correctly set MultiConnectionAvgSpeed for each downloads
    (instead of saving the overall download speed)
  o add some logging to allow debugging

* Thu Sep 18 2008 Aurélien Lefebvre <alefebvre@mandriva.com> 0.15.3-0.20080918.1mdv2009.0
+ Revision: 285649
- update to aria2 svn r729

* Tue Sep 02 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080902.2mdv2009.0
+ Revision: 279132
- fix build on x86_64
- svn snapshot
- add patch implementing --uri-selector=adaptive (Aurelien Lefebvre)

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 0.15.2-1mdv2009.0
+ Revision: 272445
- new version 0.15.2

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.15.1-1mdv2009.0
+ Revision: 259122
- update to new version 0.15.1

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 0.15.0-1mdv2009.0
+ Revision: 244946
- new version 0.15.0

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.14.0-1mdv2009.0
+ Revision: 227640
- update to new version 0.14.0

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 0.13.1+2-1mdv2009.0
+ Revision: 208656
- update to new version 0.13.1+2

* Sat Apr 12 2008 Funda Wang <fwang@mandriva.org> 0.13.1+1-1mdv2009.0
+ Revision: 192606
- New version 0.13.1
- Drop patch merged upstream

* Wed Feb 13 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.1-2mdv2008.1
+ Revision: 166894
- backport --metalink-enable-unique-protocol option from svn trunk (P0, prevents aria2
  from connecting to the same host multiple times for the same protocol)

* Tue Feb 12 2008 Antoine Ginies <aginies@mandriva.com> 0.12.1-1mdv2008.1
+ Revision: 165828
- new release 0.12.1
- new release

* Sun Dec 09 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.0-1mdv2008.1
+ Revision: 116765
- remove the locale.alias that showed up again for some reason..
- 0.12.0
- new release: 0.12.0

* Wed Nov 28 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.11.6-0.cvs20071125.1mdv2008.1
+ Revision: 113603
- hrm, add a couple of additional buildrequires to avoid aclocal errors
- update to new code from svn to get autodetection of metalinks and avoid saving them to disk
- fix buildrequires
- add source (d'oh!)
- update to new svn snapshot:
  	- fixes c-ares support so we can get async dns support
  	- fixed reported bugs
  	- adds some of requested features

* Sat Nov 24 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.11.6-0.cvs20071124.1mdv2008.1
+ Revision: 111778
- use cvs snapshot from today to fix some bugs
- drop 'INSTALL' as it's useless for users

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.11.5-1mdv2008.1
+ Revision: 109443
- update to new version 0.11.5

  + Thierry Vignaud <tv@mandriva.org>
    - improved description
    - fix summary

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 0.11.4-2mdv2008.1
+ Revision: 106445
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 102810
- update to new version 0.11.4

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 98471
- New version 0.11.3

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 0.11.2-3mdv2008.0
+ Revision: 60945
- BR openssl because it is more generic
- more buildrequires on gnutls

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 60933
- fix file list
- New version 0.11.2

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.10.2+1-1mdv2008.0
+ Revision: 29384
- release 0.10.2+1


* Wed Feb 07 2007 Lenny Cartier <lenny@mandriva.com> 0.10.1-1mdv2007.0
+ Revision: 117236
- Update to 0.10.1

* Mon Jan 29 2007 Lenny Cartier <lenny@mandriva.com> 0.10.0-1mdv2007.1
+ Revision: 114831
- Update to 0.10.0

* Thu Nov 09 2006 Lenny Cartier <lenny@mandriva.com> 0.9.0-1mdv2007.1
+ Revision: 79245
- Update to 0.9.0
- Update to 0.9.0
- Import aria2

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 0.7.2-1mdv2007.0
- 0.7.2

* Thu Aug 10 2006 Antoine Ginies <aginies@mandriva.com> 0.7.0-1mdv2007.0
- first release

